Skip to main content
POST
Submit a bulk import

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Body

type
string
required

Import type key (see GET /imports/types)

Example:

"master_skus"

file
file
required

CSV file (.csv or .txt, max 20 MB)

column_mapping
string

JSON object as a string — system field name → CSV header name

Example:

"{\"MASTER_SKU\":\"Product ID\",\"PRODUCT_NAME\":\"Name\"}"

email
string<email>

Email address to notify when the import finishes

job_name
string

Human-readable name for the job

Maximum string length: 255
options
string

JSON object as a string — additional per-type options

Response

Import created and job queued

data
object

Bulk import job record. Returned from the imports endpoints and reflects the async ImportJob that processes the rows.